' === AutoOff.bas ==================================
' Program is a simple demonstration of an "auto-off"
' circuit, using a CPC1002N solid-state relay (SSR).

' === Directives ===
  #com 4                 'specify serial port
  #picaxe 08M2           'specify processor
  #terminal off          'disable the terminal
  #no_data               'save time downloading

' === Constants ===
  symbol  LED = C.0      'Debugging LED on pin C.0
  symbol  SSR = C.4      'SSR on pin C.4 (high = on)
  
' === Variables ===
  symbol index = b0      'used in for/next loop
	
' === Begin Main Program ===========================
high SSR                 'connect main power ASAP

for index = 1 to 7       'blink LED seven times
  high LED
  pause 100
  low LED
  pause 900
next index
  
low SSR                  'disconnect main power